* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: sans-serif;
    line-height: 32px;
  
}
body, html{
    overflow-x: hidden;
}
body {
    margin: 0;
    background-color:  #f9f7f4;
   font-size: 20px;
}

a {
    text-decoration: none;
    color: inherit;

}

ul {
    list-style: none;
}

        /* Header navegação */

ul {
    list-style: none;
}

.logo {
    width: 120px;
    object-fit: cover;
}

header {
    position: fixed;
    z-index: 1000;
    width: 100%;
    height: 60px;
    background-color: #1c1c1c74;
    padding: 15px 20px;
}

.navbar {
   
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    position: relative;
    bottom: 16px;
}


.nav-links {
    display: flex;
    gap: 20px;
    position: absolute;
    right: 20px;
}

.nav-links li a {
    color: white;
    transition: .4s;
    font-size: 15px;
    margin: 4px;
}

.nav-links li a:hover {
    color: #575757;
}


.hamburger {
    display: none;
    cursor: pointer;
    flex-direction: column;
    gap: 7px;
}

.hamburger .bar {
    width: 30px;
    height: 1px;
    background-color: white;
    border-radius: 5px;
}


@media (max-width: 900px) {
    .nav-links {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #333333;
        position: absolute;
        top: 50px;
        left: 0;
        padding: 20px;
        box-sizing: border-box;
        gap: 10px;
    }

    .nav-links li {
        text-align: center;
    }

    .hamburger {
        display: flex;
    }

    .nav-links.active {
        display: flex;
    }
}
        
/*LOGO com transição*/

.logo-container {
    position: relative;
    display: inline-block;
    overflow: hidden;
    border-radius: 10px; 
    
}

/* Texto da logo */
.logo-text {
    font-size: 40px;
    font-weight: bold;
    color: #333;
    text-transform: uppercase;
    text-align: center;
    line-height: 120px;
    padding: 10px 20px;
    background-color: transparent;
    cursor: pointer;
    transition: transform 0.6s ease, opacity 0.6s ease, letter-spacing 0.3s ease, background-color 0.6s ease;
}


.logo-text:hover {
    opacity: 0; 
    transform: scale(1.2) rotate(10deg); 
    letter-spacing: 4px;
}


.logo-text:hover::after {
    content: '';
    display: block;
    width: 100%;
    height: 100%;
    background-image: url('imagem.jpg'); 
    background-size: cover;
    background-position: center;
    transition: opacity 0.6s ease-in-out;
    opacity: 1;
}


.logo-container:hover .logo-text {
    transform: scale(1.1) rotate(5deg);
    opacity: 0.6;
}

.logo-text::after {
    content: '';
    display: block;
    width: 0;
    height: 0;
    transition: width 0.6s ease, height 0.6s ease;
}


.Container-logotipo{
       display: flex;
       justify-content: center;
       align-items: center;
}

  /*Container1*/
.Container-história {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    flex-wrap: wrap;
    gap: 5px; 
    padding: 20px;
}


.contant-h img {
    margin: 10px;
    width: 100px;
    height: 150px;
}


.contant-h h3 {
    letter-spacing: 2px;
    font-size: 30px;
    color: #b3b4b9;
}


.contant-hi img {
    width: 180px;
    height: 250px;
    margin: 10px;
}


.contant-his img {
    width: 250px;
    height: 280px;
    margin: 10px;
}

.contant-hist img {
    width: 180px;
    height: 250px;
    margin: 10px;
}


.contant-histo img {
    width: 280px;
    height: 240px;
    margin: 10px;
}

.contant- img {
    width: 280px;
    height: 240px;
    margin: 10px;
}





.contant- img, 
.contant-h img, 
.contant-hi img, 
.contant-his img, 
.contant-hist img, 
.contant-histo img {
    margin: 10px;
    cursor: pointer; /* Mostra que a imagem é clicável */
    transition: .3s;
    object-fit: cover;
    transition: filter 0.3s ease;
    filter: grayscale(100%);
    transition: .4s;

}

img:hover{
    transform: scale(1.1);
    filter: grayscale(0%); 

}





/* Estilos responsivos */
@media (max-width: 768px) {
    .Container-história {
        flex-direction: column; 
        align-items: center;
    }

    .contant- img, 
    .contant-h img, 
    .contant-hi img, 
    .contant-his img, 
    .contant-hist img, 
    .contant-histo img {
        width: 90%;
        height: auto;
    }
}

@media (max-width: 768px) {
    img:hover {
        transform: scale(1.05); 
    }
}


@media (max-width: 480px) {
    img {
        width: 90%;
    }

    img:hover {
        transform: scale(1.05); 
    }
}



/* Menu responsivo */
.menu2 {
    background-color: #edebe7;
    width: 100%;
    margin-top: 20px;
    padding: 10px;
}

.menu2 ul {
    display: flex;
    justify-content: space-around; 
    gap: 50px;
    list-style-type: none;
    padding: 0;
}

.menu2 li {
    
    font-family: Arial, sans-serif;
}

.menu2 a {
  
    text-decoration: overline;
    color: #333;
    font-size: 13px;
    font-weight: bold;
    display: block;
    padding-bottom: 10px;
    transition: .2s ;
}

.menu2 p {
    font-size: 13px;
    color: #777;
    margin-top: 5px;
}

.menu2 a:hover {
    color: #70779a;
    transform: scale(1.3);
}


@media (max-width: 768px) {
    .menu2 ul {
        flex-direction: column; 
        align-items: center;
    }

    .menu2 a {
        font-size: 16px; 
        padding: 8px;
    }

    .menu2 p {
        font-size: 12px; 
    }
}

@media (max-width: 480px) {
    .menu2 ul {
        gap: 15px;
    }

    .menu2 a {
        font-size: 14px; 
    }

    .menu2 p {
        font-size: 10px; 
    }
}



/*hr linha horizontal*/



.linha-horizontal {
    width: 0%; 
    height: 2px; 
    background-color: #333; 
    border: none; 
    margin: 40px auto; 
    transition: width 2s ease;
}


.titulo {
    opacity: 0; 
    text-align: center;
    font-size: 36px;  
    padding-top: 100px;
    transition: opacity 1s ease 0.5s; 
}


.linha-horizontal.loaded {
    width: 80%;
}

.titulo.loaded {
    opacity: 1;
}


@media (max-width: 768px) {
    .linha-horizontal {
        width: 50%;
    }
}

@media (max-width: 480px) {
    .linha-horizontal {
        width: 40%; 
    }
}

/*texto*/

.container {
    max-width: 1200px;
    margin: 0 auto;
  }


.contant {
    color: #333333f3;
    text-align: center;
    margin-top: 40px;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    padding: 20px;
    border-radius: 10px;
    flex-wrap: wrap;
    
  }


.contant h1{
    margin-bottom: 20px;
  }

 /*footer*/ 



 .containers{
    max-width: 1170px;
    margin: auto;
}



.row{
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    gap: 40px;
    margin: 30px;
}

ul{
    list-style: none;
}

.footer{
    background-color: #161616;
    padding:  70px 0;
   
}
.footer-col{
    padding: 0 15px;
  
}


.footer-col h4{
    font-size: 15px;
    color: #ffffff;
    text-transform: capitalize;
    margin-bottom: 40px;
    font-weight: 500;
    position: relative; 
}


.footer-col h4::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: -10px;
    background-color: #3a4b53;
    height: 2px;
    box-sizing: border-box;
    width: 50px;
}

.footer-col ul li:not(:last-child) {
    margin-bottom: 10px;
}



.footer-col ul li a{
    font-size: 12px;
    text-transform: capitalize;
    color: #ffffff;
    text-decoration: none;
    font-weight: 300;
    color: #ffffff;
    display: block;
    transition: all 0.3s ease;
    font-size: 15px;
}

.footer-col ul li a:hover{
    color: #c4c4c4;
    
}

                     


.copy{
    display: flex;
    justify-content: center;
    align-items: center;
    color: #f9f7f4;
    font-size: 12px;
}